Package org.gradle.api

# Interface NamedDomainObjectCollectionSchema

All Known Subinterfaces:
  `ExtensionsSchema`

public interface NamedDomainObjectCollectionSchema
Schema of named domain object collections.

Since:
  4.10
See Also:
  - `NamedDomainObjectCollection`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`
  Schema of a named domain object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterable<? extends NamedDomainObjectCollectionSchema.NamedDomainObjectSchema>`
  `getElements()`
  Returns an iterable of the schemas for each element in the collection.

- ## Method Details

  - ### getElements

    Iterable<? extends NamedDomainObjectCollectionSchema.NamedDomainObjectSchema> getElements()
    Returns an iterable of the schemas for each element in the collection.